This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 127124 - Remove explicit kernel-dependency
Remove explicit kernel-dependency
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 06:50 EDT by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 13:47:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-07-02 06:50:56 EDT
Description of problem:

It would be nice when the

| Requires: kernel >= 2.4

dependency would be removed or be rewritten to

| Conflicts: kernel < 2.4


The first statement has its origin in ancient distributions (before
RH7.0??) and is fulfilled by nearly every modern installation.
Requirements on a recent installation are brought in by the
BuildRequires: also.

But such an explicit 'Requires:' introduces unneeded dependencies (the
kernel-package and its deptree) in chroot-environments like Linux
VServers.



Version-Release number of selected component (if applicable):

bind-9.2.3-16.1
Comment 1 Barry K. Nathan 2004-07-14 05:54:07 EDT
Unfortunately, "Requires: kernel >= 2.4" and "Conflicts: kernel < 2.4"
say two different things. On a system with both 2.2 and 2.4 kernel
packages installed, the first requirement is satisfied but the second
is not...
Comment 2 Enrico Scholz 2004-07-14 05:58:52 EDT
Then, remove it completly. afaik, every supported RH distribution has
kernels above 2.4.0
Comment 3 Jason Vas Dias 2004-07-28 13:47:53 EDT
'Requires: kernel >= 2.4' 
will be removed from next bind version (bind-9.2.4rc6-4)
.

Note You need to log in before you can comment on or make changes to this bug.